Skip to main content
`Ctrl`+`K`

# MatDestroySeqNonzeroStructure

Destroys matrix obtained with `MatGetSeqNonzeroStructure()`.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDestroySeqNonzeroStructure(Mat *mat)

Collective

## Input Parameter

- mat - the matrix

## Note

This is not needed, one can just call `MatDestroy()`

## See Also

Matrices, `Mat`, `MatGetSeqNonzeroStructure()`

## Level

advanced

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages